%% przykadowe wywoanie to :
%% ---------------------------
%  [Mplotno] = cztery_rogi_plotna(7);
%% ---------------------------
function [Mplotno] = cztery_rogi_plotna(sz)
jeden_rog   = skocznia(sz);
drugi_rog   = fliplr(jeden_rog);
trzeci_rog  = flipud(jeden_rog);
czwarty_rog = flipud(drugi_rog);

Mplotno = jeden_rog + drugi_rog + trzeci_rog + czwarty_rog;
gr = linspace(0,1,196); grs = [gr' gr' gr'];
surfl(Mplotno);shading interp;colormap(grs);axis normal;

%//////////// Koniec funkcji gwnej    /////////////////////%

%//////////// funkcja podrzdna        //////////////////////%
%% przykadowe wywoanie to:
%% ----------------------------------
% [Mskocz] = skocznia(25); surfl(Mskocz);shading interp;
%% ----------------------------------
function [Mskocz] = skocznia(sz)
Mskocz = ones(sz);
for i = 2 : sz,
    for j = 2 : sz,
        Mskocz(i,j) = Mskocz(i-1,j)+Mskocz(i,j-1);
    end;
end;