%[A] = zadwykAprostokat(3,0.001,'asinh') %rwnie: sin,sinh,asin,cos,acos,cosh,acosh,log,log2,log10,...%
%%                                     %ponadto: gamma (z zastrzeeniami co do dolnej granicy!),exp,... %
%%                                     %ostatecznie: tan (tylko w granicach od zera do okolo 1.4 radiana!) %
%%%%%%%%%%SKRYPT GWNY - NADRZDNY%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [A] = zadwykAprostokat(wymiar,dokl,fnstr)
for i =  1 : wymiar,
 for j = 1 : wymiar,
  %A(i,j) = dwfdoklprostokat(0,i*j,dokl,fnstr);        %I przykl. wariant  : dolna gr. zerowa, grna = iloczynie kol. i wiersza
   A(i,j) = dwfdoklprostokat(0,i+j,dokl,fnstr);        %II przykl. wariant : dolna gr. zerowa, grna = sumie kolumny i wiersza
  %A(i,j) = dwfdoklprostokat(0,abs(i-j),dokl,fnstr);   %III przykl. wariant: dolna gr. zerowa, grna = bezwzgl. rnicy kol. i wiersza
  %A(i,j) = dwfdoklprostokat(abs(i-j),i+j,dokl,fnstr); %IV przykl. wariant : dolna gr. = rnicy bezwzgl. kol. i wiersza, grna = ich sumie
  %A(i,j) = dwfdoklprostokat(abs(i-j),i*j,dokl,fnstr); %V przykl. wariant  : dolna gr. = rnicy bezwzgl. kol. i wiersza, grna = ich iloczynowi
 end;
end;
%%%%%%%%%%%%%% CAKA DOKADNOCIOWA %%%%%%%%%%%%%%%%%%%%%%%%%%%
function [pole] = dwfdoklprostokat(a,b,dokl,fnstr);
pole = 0;
pole_przedostatnie = 0;
pole_ostatnie      = 0;
n  = 5;
margines_bledu = 10;
while( margines_bledu > dokl)
pole_ostatnie              = dwfprostokat(a,b,n,fnstr);
n = 2*n;
pole_przedostatnie         = dwfprostokat(a,b,n,fnstr);
margines_bledu      = abs(pole_ostatnie - pole_przedostatnie);
end;
pole  = pole_ostatnie;
%%%%%%%%%%%%% CAKA Z OKRELENIEM LICZBY PRZEDZIAW: n %%%%%%%
function [pole] = dwfprostokat(a,b,n,fnstr)
pole = 0;
szr = abs(b-a)/n;
XL = a;
XP = a;
XSR = a;
for i = 1 : n
XP = XP + szr;
XSR = (XL+XP)/2;
pole = pole + szr  * abs (feval(fnstr,XSR));
XL = XL + szr;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%przyklad wynikw obliczen (nie do uwzglednienia w sprawozdaniu)%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%%
%>> tic;[A] = zadwykAprostokat(5,0.0005,'sinh');toc % rezultat wyw. w podwjnej ptli: 'for' funkcji przymierzania prostoktw do funkcji sinus hiperboliczny%
%
%elapsed_time =
%
%    4.4780
%
%>> A
%
%A =
%
%  1.0e+004 *
%
%    0.0003    0.0009    0.0026    0.0073    0.0201
%    0.0009    0.0026    0.0073    0.0201    0.0547
%    0.0026    0.0073    0.0201    0.0547    0.1489
%    0.0073    0.0201    0.0547    0.1489    0.4051
%    0.0201    0.0547    0.1489    0.4051    1.1012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%