%Obliczanie silni w oparciu REKURENCYJNE wywoywanie funkcji w funkcji, 
% (ang. recursive - recursive construction of function)
%Skadnia:
%%---------------------
%[silnia,tablica_wynikow_posrednich_silni] = silnia_rek(n);
%%---------------------
%Przykadowe wywoania funkcji:
%%---------------------
%[silnia5,tab_silnia5] = silnia_rek(5)
%[silnia7,tab_silnia7] = silnia_rek(7)
%%---------------------

function [sn_rek, tab_sn_rek] = silnia_rek(n)
%sn_rek = 1;
tab_sn_rek = [];
    if n == 1
     sn_rek = 1;
     tab_sn_rek = [1];
     disp(['Rekurencja najnisza nr: 1' ]);
     disp(['Warto czstkowa silni: 1, ustalona na samym dnie wywoa rekurencji porednich']);
     return;
    else
     disp(['Rekurencja porednia nr: ' num2str(n)]);
     [sni, tabi] = silnia_rek(n - 1);
     sn_rek = n * sni;
     disp(['Warto czstkowa silni: ' num2str(sn_rek) ' naliczana nawrotnie w iteracji: ' num2str(n)]);
     tab_sn_rek = [tabi sn_rek];
     disp(['Tabela wynikw czstkowych: [' num2str(tab_sn_rek) '] naliczana nawrotnie w iteracji: ' num2str(n)]);
    end;
