%% calka liczona w sposob okreslajacy wart. bledu bezwzgl.
%% przykladowe wywolanie:
%%-----------------------
% pole = calkabwzgl(0,1,0.001)
function [pole] = calkabwzgl(a,b,bld)
pole = 0;
n = 5;
err = 1000;
poleprzedostn = 0;
poleostatnie  = 0;
while (err >= bld)
    poleprzedostn = calka(a,b,n)
    n = 2*n
    poleostatnie  = calka(a,b,n)
    err = abs(poleostatnie - poleprzedostn)
end;
%%%%%%%%%%%%%%%%%koniec definicji funkcji %%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [pole] = calka(a,b,lkr) %<a,b> przedziay lewo-,prawo-stronne, lkr - liczba krokw cak.
pole = 0; % zmienna dosumowywania pl podprzedziaw
XP = a;    % warto pocztkowa argumentu X i punktu startowego 1wszego podprzedziau 
XK = a;
DX = abs(b-a)/lkr;  % szeroko podstawy kadego z podprzedziaw cakowania (w wyzn. caki oznaczonej)
%
for i = 1 : lkr
  XK = XK + DX;   % ju zawczasu oblicz praw granic podprzedziau
  pole = pole + DX*(XP^2+XK^2)/2;% dosumowuj pola trapezikw  
  XP = XP +DX;    % powiksz argument X o pojedycz szeroko podprzedziau cakowania w ptli for  
end;
