%% Przykadowe zadanie wykadowe zwracajce macierz 'wymiar' na 'wymiar' elementw,%
%% bdcych wyznaczon funkcj z argumentu: sumy kolumny i wiersza  biecego tej macierzy%
%% Przykadowe bardziej szczeglowe wywoanie funkcji zadaniewyk (odnonie jednego z zada):
%%-----------------------------------------------------------------------------------------%%
%% Wyznacz macierz 3x3 elem. o wartociach caek oznaczonych z sinusa, w granicach:
%% od zera do sumy wskanika kolumny i wiersza (w radianach) w tych elementach:
%%------------------------------------------------------------------------------------------%%
% [A] = zadaniewyk_dowolna_funkcja(3,0.001,'sin');%<=policz mac. 3x3 elem.,bd. sinusem z arg. sumy wiersz i kol. w tej mac.%
function [A] = zadaniewyk_dowolna_funkcja(wymiar,dkl,fn)
A = zeros(wymiar,wymiar);
for i = 1 : wymiar,
    for j = 1 : wymiar,
        A(i,j)= dowolnafunkcjadokl(0,i+j,dkl,fn);
    end;
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Przykad wywoania cakowania ze skryptem nadrzdnym z uyciem dowolnej prostej(jednokrotnej) funkcji:%
%------------------------------------------------------------------------------%
% pole=dowolnafunkcjadokl(0,1,0.001,'sin') %<=wyznacz pole - cak. oznaczon pod funkcj sinus w granicach [0,1radian]% 
% pole=dowolnafunkcjadokl(0,1,0.001,'cos') %<=wyznacz pole - cak. oznaczon pod funkcj sinus w granicach [0,1radian]%
% pole=dowolnafunkcjadokl(0,1,0.001,'exp') %<=wyznacz pole - cak. oznaczon pod funkcj eksponent(x) w granicach [0,1radian]%
function [pole] = dowolnafunkcjadokl(a,b,dkl,fn) %przykadowo z wywoaniem: dowolnafunkcjadokl(0,1,0.001,'sin');%
pole = 0;    % pole inicjuj na zerowe
n = 5;       % zacznij od 5 podprzedziaw
rozn_wynik = 10;  % zmienna okrel. nieco dalej rnic bezwzgl. wynikw: ostatniego z przedostatnim%
szr = abs(b-a)/n; % wyznacz szeroko kadego z podprzedziaw
%figure,           % przygotuj (tzn. otwrz) okno wydruku graficznego danych
while(dkl < rozn_wynik)  % dopki szacowany bd nie jest mniejszy ni deklarowany margines bdu%
    OsX = a:szr:b;       % wyznacz WEKTOR argumentu caego odcinka osi X w przedz.[a,b] %
%    Wielomian = feval(fn,OsX); % wyznacz WEKTOROWO przeciw-argument osi X (warto funkcji)
%    plot(OsX,Wielomian,'r');% wstpnie na czerwono wywietl lini cig funkcj
%    hold on;                % przytrzymaj uchwyt okna wywietle graficznych danych
%    bar(OsX,Wielomian,0.975,'b'); % dorysuj na wykr. 'do zgrubnie' szereg supkw-prost., przymierzanych do krzywej%
%    disp('Prosz wprowadzi: ''return'' albo sprawdzi np. wartoci zmiennych roboczych :');
%    keyboard;               % przeka sterowanie do do promptu uytkownika: K>>_
%    hold off;               % zwolnij uchwyt okna graficznego, by w nast. ptli odwiey wykres
    pole_przedostatnie = dowolnafunkcja(a,b,n,fn); % policz pole - caki oznaczonej zgrubnie
    n=2*n                              % zdubluj liczb podprzedziaw
    szr=szr/2;                         % zmniejsz odpowiednio ich szerokoci
    pole_ostatnie      = dowolnafunkcja(a,b,n,fn); % a obecnie: policz pole - caki oznaczonej dokadniej!
    rozn_wynik         = abs(pole_ostatnie - pole_przedostatnie); % szacuj margines bdu
end;
pole = pole_ostatnie; % de facto: pole ostatnie, to te najdokadniejsze!
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Przykad wywoania cakowania z uyciem dowolnej prostej(jednokrotnej) funkcji:%
%------------------------------------------------------------------------------%
% pole=dowolnafunkcja(0,1,10000,'sin') %<=wyznacz pole - cak. oznaczon pod funkcj sinus w granicach [0,1radian] 
function [pole] = dowolnafunkcja(a,b,n,fn)  % wersja przybliania trapezami pola, w reprezent. caki ozn.
pole = 0;         % inicjuj warto pola caki oznaczonej y=x^2+x
szr = abs(b-a)/n; % wyznacz szer. kadego z podprzedz., dzielc dugo przedziau [a,b] na n pododcinkw
XL=a;             % przypisz wart. lewej granicy podprzedziau - XL - lew granic przedziau:[a,b]
XP=a;             % przypisz wart. prawej granicy podprzedziau - XP - praw granic przedziau [a,b]
XSR=a;           % srodek kadego z podprzedziau - na razie domylnie ustawiony na warto a
for i=1:n         % w ptli n-krotnej dosumowywuj pola prostoktw podprzedziaw o podstawie: 'szr'
    XP = XP + szr;  % przed waciwym doliczeniem pola trapezu - ustaw wart. prawej granicy podprzedziau
    XSR = (XL+XP)/2;% okrel pooenia rodka podstawy trapezu (na osi argumentu X)
    pole = pole + szr*abs(feval(fn,XSR)); %dosumuj w ptli pole jednego trapezu w podprzedz.[XL,XP]
    XL = XP + szr;  % przed kocem kadego przebiegu ptli 'for' przesu XP o szer. 1 podprzedz.
end;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%