%% Artur Bernat, on 25 May 2013r, przykadowe odwoanie do funkcji: 'wymiany.m' jest WEKTOROWE!
%% To znaczy w dwch niezalenych systemach oznacze etonw, wg. 1) liter alfabetu, 2) numeru porzdkowego
%% Mona dodatkowo zadawa argument wejciowy mieszany w tych 3 systemach, jako wiersz elementw:
%% -------------------------------------------------------
%  [gotowka, suma_kasy_gotowkowej] = wymiany ( [ 1 1 4 3 0 ] );
%% albo te:
%  [gotowka, suma_kasy_gotowkowej] = wymiany ( [ 'A' 1 'C' 0 3]);
%% chocia akurat do specyficznie - bdne jest przytoczenie a 3 niealenych systemw oznacze etonw: 
%  [gotowka, suma_kasy_gotowkowej] = wymiany ( [ 'A' 1 'C' 0 3 'biay' ]);
%% bowiem w powyszym wywoaniu : element argumentu wejcia: 'biay' zosta
%% 5-krotnie 'zlicytowany' litera po literze za zotwk!
%% -------------------------------------------------------
function [bilony,suma_bilonow] = wymiany (zetony)
[H,W] = size(zetony) % zakadamy przekazanie nam wiersza - szeregu etonw o rnych oznaczeniach i systemach oznacze %
                     % - std badamy dugo tego wiersza pod zmienn 'W'                                              %                             %
bilony = [];         % przypisujemy pocztkow warto do zmiennej wierszowej wyjciowej rwn wartoci PUSTEJ!        %
for i = 1 : W        % w ptli 'for ' dla W elementw napotkanych w zmiennej wejciowej: 'zetony'                      %
    zeton = zetony(i); % wyodrbniamy tylko jeden, na bieco przetwarzany i-ty eton                                  %
    bilon = wymiana(zeton); % dokonujemy wymiany tego etona na JEDEN biecy bilon (tj. warto gotwkow)            %
    bilony = [bilony bilon];% doczamy ten bilon -gotwk do wiersza wszystkich sum gotwki wypacanych w wymianie    %
end;
suma_bilonow = sum(bilony( )); % podsumujmy jeszcze tylko wszystkie sumy gotwki, by uzyska kocow warto pienidzy %
disp(['Suma wypaty podczas wymiany zetonw wynosi: ' num2str(suma_bilonow)]); % dajmy nawet o tym komunikat kocowy!  %

%///////////////////// koniec definicji funkcji gwnej   ///////////////////////////////////%

% tutaj - poniej moe si pojawi definicja funkcji podrzdnej: 'wymiana.m' %
% lecz wwczas - bdzie ona miaa charakter bardzo, ale to bardzo cile lokalny! %
% znacznie lepiej gdy wymagana w PODWYWOANIU funkcja: wymiana znajduje si tu obok, tj.w tym samym katalogu roboczym.%
function [bilon] = wymiana(zeton)
switch zeton  % instrukcja multi-wyboru - dla poszczeglnych blokw 'case' wykonania podblokw %
    
    case {'A','biay',0}   % gdy wskazany w arg. we. eton, jest: etonem A, albo: etonem biaym, albo: etonem nr 0
        bilon = 200;       % to przypisujemy wartoci argumentu wyjciowego warto 200
        disp('Wypacono 200 z'); % ponadto wywietlamy komunikat o wypacie 200 zotych
        
    case {'B','czerwony',1} % gdy wskz. w argumencie wejciowym eton, jest: etonem B, albo: czerwonym, albo nr 1
        bilon = 100;        % to przypisujemy wartoci argumentu wyjciowego warto 100
        disp('Wypacono 100 z'); % ponadto dajemy komunikat o wypacie 100 z
        
    case {'C', 'czarny', 2} % gdy napotkany eton, to eton C, albo eton czarny, albo eton nr 2
        bilon = 50;         %  to przypisujemy wartoci zmiennej: 'bilon' warto 50
        disp('Wypacono 050 z');  % nadto wywietlamy komunikat o wypacie 50 z
        
    case {'D', 'ty', 3}  % dla etonu oznaczonego jako: albo: D, albo: tego, albo nr 3
        bilon = 20;         % wydajemy 20 z
        disp('Wypacono 020 z');
        
    case {'E', 'zielony',4} % dla etonu albo: E, albo: zielonego, albo nr 4
        bilon = 10;         % wydajemy 10 z
        disp('Wypacono 010 z');
        
    otherwise               % dla pozostaych przypadkw -domylnie wydajemy nagrod pocieszenia: 1 z
        bilon = 1;
        disp('Wypacono reszt - nagrod pocieszenia: 1 z');
        
end; % tutaj nastpuje 'end' jako znacznik koca bloku: [switch case.. case.. otherwise.. end;]%